// PartsSet.cpp : implementation file
//

#include "stdafx.h"
#include "dbsocketserver.h"
#include "PartsSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPartsSet

IMPLEMENT_DYNAMIC(CPartsSet, CRecordset)

CPartsSet::CPartsSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CPartsSet)
	m_ID = 0;
	m_ItemID = _T("");
	m_ItemDesc = _T("");
	m_nFields = 3;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dynaset;
}


CString CPartsSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=MS Access Database");
}

CString CPartsSet::GetDefaultSQL()
{
	return _T("[Parts]");
}

void CPartsSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CPartsSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[ID]"), m_ID);
	RFX_Text(pFX, _T("[ItemID]"), m_ItemID);
	RFX_Text(pFX, _T("[ItemDesc]"), m_ItemDesc);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CPartsSet diagnostics

#ifdef _DEBUG
void CPartsSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CPartsSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
